## dpkg 1.16.15

=== debian/changelog ===
dpkg (1.16.15) wheezy-security; urgency=high

  [ Guillem Jover ]
  * Test suite:
    - Add test cases for Dpkg::Source::Patch CVE-2014-0471 and CVE-2014-3127.
    - Add test case for patch disabling hunks; not security sensitive.
  * Correctly parse patch headers in Dpkg::Source::Patch, to avoid directory
    traversal attempts from hostile source packages when unpacking them.
    Reported by Javier Serrano Polo <javier@jasp.net> as an unspecified
    directory traversal; meanwhile also independently found by me both
    #749183 and what was supposed to be #746498, which was later on published
    and ended up being just a subset of the other non-reported issue.
    Fixes CVE-2014-3864 and CVE-2014-3865. Closes: #746498, #749183

  [ Updated programs translations ]
  * Merge translated strings from master.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man page translations ]
  * Merge translated strings from master.
  * Unfuzzy or update trivial translations (Guillem Jover).

 -- Guillem Jover <guillem@debian.org>  Thu, 05 Jun 2014 22:24:36 +0200

dpkg (1.16.14) wheezy-security; urgency=high

  [ Guillem Jover ]
  * Do not allow patch files with C-style encoded filenames. Closes: #746306
    Fixes CVE-2014-3127 and unconditionally fixes CVE-2014-0471.
    Reported by Javier Serrano Polo <javier@jasp.net>.

  [ Updated scripts translations ]
  * German (Helge Kreutzmann).

  [ Updated man page translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Apr 2014 08:14:16 +0200

dpkg (1.16.13) wheezy-security; urgency=high

  [ Guillem Jover ]
  * Do not NULL-terminate the list in the compat scandir(), as this might
    cause a segfault in case the function returns 0 entries.
  * Do not generate perl warnings on undef versions in
    Dpkg::Deps::deps_compare(). See: #737731
  * Do not overwrite triplet mappings with latter matches in Dpkg::Arch.
    Required for the new mipsn32(el) and mips64(el) architecture entries.
  * Add support for mipsn32(el) and mips64(el) to arch tables.
    Thanks to YunQiang Su <wzssyqa@gmail.com>. Closes: #685096, #707323
  * Add ppc64el support to cputable. Closes: #718945
    Thanks to Jeff Bailey <jeffbailey@google.com>.
  * Add OpenRISC or1k support to cputable.
    Thanks to Christian Svensson <christian@cmd.nu>. Closes: #736717
  * Clarify that dpkg --set-selections needs an up-to-date available db,
    by documenting it on the dpkg(1) man page, and warning whenever dpkg
    finds unknown packages while setting the selections. Closes: #703092
  * Improve documentation on how to update the available database before
    setting package selections. Suggested by Klaus Ita <koki.eml@gmail.com>.
  * Recognize «start-stop-daemon -C» as documented. Closes: #719746
    Reported by Brian S. Julin <bri@abrij.org>.
  * Correctly parse C-style diff filenames in Dpkg::Source::Patch, to avoid
    directory traversal attempts from hostile source packages when unpacking
    them. Reported by Jakub Wilk <jwilk@debian.org>. Fixes CVE-2014-0471.

  [ Updated scripts translations ]
  * Fix a typo in the German scripts translation.

  [ Updated man page translations ]
  * Fix and unify translation in German man pages.

 -- Guillem Jover <guillem@debian.org>  Fri, 25 Apr 2014 04:38:33 +0200
