## dpkg 1.16.17

=== debian/changelog ===
dpkg (1.16.17) wheezy-security; urgency=high

  [ Guillem Jover ]
  * Fix an off-by-one write access in dpkg-deb when parsing the .deb magic.
    Reported by Jacek Wielemborek <d33tah@gmail.com>. Closes: #798324
  * Fix an off-by-one write access in dpkg-deb when parsing the old format
    .deb control member size. Thanks to Hanno Böck <hanno@hboeck.de>.
    Fixes CVE-2015-0860.
  * Fix an off-by-one read access in dpkg-deb when parsing ar member names.
    Thanks to Hanno Böck <hanno@hboeck.de>.

  [ Updated programs translations ]
  * Catalan (Jordi Mallach).

  [ Updated man page translations ]
  * Fix incorrect translation in German (Helge Kreutzmann)

 -- Guillem Jover <guillem@debian.org>  Wed, 25 Nov 2015 22:34:58 +0100
