## dpkg 1.16.18

=== debian/changelog ===
dpkg (1.16.18) wheezy; urgency=medium

  * Remove trailing space before handling blank line dot-separator in
    Dpkg::Control::Hash. Regression introduced in dpkg 1.16.16.
    Reported by Jakub Wilk <jwilk@debian.org>. Closes: #789580
  * Only use the SHELL environment variable for interactive shells.
    Closes: #788819
  * Move tar option --no-recursion before -T in dpkg-deb. With tar > 1.28 the
    --no-recursion option is now positional, and needs to be passed before
    the -T option, otherwise the tarball will end up with duplicated entries.
    Thanks to Richard Purdie <richard.purdie@linuxfoundation.org>.
    Closes: #807940
  * Initialize Config-Version also for packages previously in triggers-pending
    state, otherwise we end up not passing the previously configured version
    to «postinst configure», which might consider this a first install instead
    of an upgrade. Closes: #801156
  * Fix memory leaks in dpkg infodb format upgrade logic.
  * Fix physical file offset comparison in dpkg. Closes: #808912
    Thanks to Yuri Gribov <tetra2005@gmail.com>.
  * Do not accept empty field names in dpkg. Closes: #769111
  * When sys_siglist is defined in the system, try to use NSIG as we cannot
    compute the array size with sizeof(). If NSIG is missing fallback to 32
    items. Prompted by Igor Pashev <pashev.igor@gmail.com>.

 -- Guillem Jover <guillem@debian.org>  Sun, 20 Mar 2016 10:23:24 +0100
