## dpkg 1.17.1

=== debian/changelog ===
dpkg (1.17.1) unstable; urgency=low

  * Man pages cleanup:
    - Make explicit that dpkg-shlibdeps -e can be used multiple times.
    - Improve documentation on how to update the available database before
      setting package selections. Suggested by Klaus Ita <koki.eml@gmail.com>.
  * Add manpages-it Replaces to dpkg due to new translated man pages.
    Reported by Alessio Gaeta <alga777@gmail.com>. Closes: #717983
  * Reword libdpkg-perl description and only list public modules.
  * Remove space before value in dpkg-parsechangelog -S option on pkg-info.mk.
    Closes: #718014
  * Make the build system install start-stop-daemon directly under /sbin,
    instead of moving it around in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 28 Jul 2013 14:44:50 +0200

dpkg (1.17.0) unstable; urgency=low

  [ Guillem Jover ]
  * Switch update-alternatives back to a fatal error on out of range priority
    on --install.
  * Document dpkg-deb --debug in --help output.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Use the new canonical dpkg git Vcs URLs.
  * Remove ancient version from zlibg1-dev Build-Depends.
  * Add compression development packages to libdpkg-dev Depends.
  * Man pages cleanup:
    - Disable justification and hyphenation in SEE ALSO sections.
    - Remove unneeded double quotes in .SH headings.
    - Do not use “header” when “format” or “field” is meant.
    - Move dangers of installing via dpkg-deb from BUGS to a NOTES section.
    - Remove BUGS sections containing obvious or misplaced information.
    - Move BUGS sections before EXAMPLES and SEE ALSO sections.
    - Place ENVIRONMENT and FILES sections contiguously.
    - Move EXIT STATUS section before ENVIRONMENT.
    - Rename CAVEATS sections to NOTES.
    - Fold BACKWARD COMPATIBILITY section into other sections.
    - Document since when DEB_*_MULTIARCH variables are supported.
    - Move compiler flags subsection from ENVIRONMENT to NOTES.
    - Unify WARNING and ERROR sections into DIAGNOSTICS.
    - Unify command-line options into a single OPTIONS section.
    - Mark programs, variables, fields and command-line options in bold.
    - Fold dpkg-architecture(1) DEBIAN/RULES section into EXAMPLES.
    - Fix dpkg-architecture(1) debian/rules usage documentation.
    - Move dpkg-buildflags(1) HARDENING into a new FEATURE AREAS subsection.
    - Improve dpkg-buildflags(1) usage documentation.
      Thanks to Matthijs Kooijman <matthijs@stdin.nl>. Closes: #657627
    - Clarify that DPKG_MAINTSCRIPT_PACKAGE is not arch-qualified.
    - Add triggers to the list of binary control information files.
      Thanks to Charles Plessy <plessy@debian.org>.
  * Use colon instead of dot for user:group in dpkg debug output.
  * Remove support for obsolete DM-Upload-Allowed from Dpkg::Vendor::Debian.
  * Fix update-alternatives to use the current alternative link as the first
    best value, to avoid flip-flops of alternatives with equal priority.
    Closes: #699807
  * Fix clang warnings due to change of alignment requirements.
  * Change copyright file to point to GPL-2 instead of GPL.
  * Do not pass -e in shell script shebangs, set it in the body.
  * Add new dpkg-parsechangelog --show-field option to print a field value.
    Closes: #284664
  * Add new dpkg-buildpackage --force-sign option.
  * By default do not sign builds for UNRELEASED uploads on dpkg-buildpackage.
    Closes: #635117
  * Also check Build-Depends-Arch for minimal versions in dpkg-shlibdeps.
    Closes: #681470
  * Document dpkg-buildflags export mode usage in man page. Closes: #691449
    Thanks to Jonathan Nieder <jrnieder@gmail.com>.
  * Rename dpkg-buildflags configure exporter to cmdline, but preserve
    configure as a legacy alias.
  * Mask fortify hardening option from dpkg-buildflags output on noopt.
    New glibc 2.16 and later, issue a warning on this condition.
    Closes: #691745
  * Refer to path instead of file on dpkg-statoverride.
  * Always print a descriptive architecture column, even for empty or missing
    architectures on «dpkg-query --list».
  * Rework SELinux code on unpack to reload the label database if it has
    changed, for example while upgrading the SELinux policy package.
  * Execute maintainer scripts in a new execution context, based on the
    current one and the specific maintainer script filename, and if it's
    not different to the current one, use "dpkg_script_t" as a fallback.
  * Do not unnecessarily create a dpkg update log record on remove or purge.
  * Always reset want status when removing or purging a package; so this
    now resets holds among others. Closes: #163763
  * Always reset want status when installing a package; so this now resets
    holds among others. Closes: #162541
  * Defer cleanup of .dpkg-new and .dpkg-tmp paths on removal to the point
    when we are definitely removing the main path.
  * Activate file triggers on removal more accurately, only when we know
    we are inevitably removing things.
  * Change dir to / before executing maintainer scripts. Closes: #686782
  * Add new dpkg-deb --deb-format option and base --new and --old on it,
    as the latter are not future-proof, and neither can be guaranteed to
    produce a reliable output file format.
  * Drop archtable. It serves no purpose, it's Debian specific, it's
    usually outdated, and everyone should be using dpkg-architecture anyway.
  * Add musl-linux support to ostable and triplettable.
    Requested-by Kevin Bortis <wermut@gmail.com>.
  * Remove update-alternatives, dpkg-divert and dpkg-statoverride
    compatibility symlinks under /usr/sbin/.
  * Remove install-info wrapper.
  * Only ignore older packages if the existing version is informative. This
    allows any program using libdpkg to parse the available file to see again
    packages with versions lesser than 0-0 (like 0~0-0). Closes: #676664
  * Fix Dpkg::Control::Hash set_options() to take a hash as argument instead
    of two scalars.

