=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: admin
 Priority: required
 Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
-Uploaders: Guillem Jover <guillem@debian.org>
+Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Homepage: http://wiki.debian.org/Teams/Dpkg
-Vcs-Browser: http://git.debian.org/?p=dpkg/dpkg.git
-Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
-Standards-Version: 3.9.3
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/dpkg.git
+Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7), pkg-config, flex,
  gettext (>= 0.18), po4a (>= 0.41),
- zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, liblzma-dev,
+ zlib1g-dev, libbz2-dev, liblzma-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libncursesw5-dev,
  libtimedate-perl, libio-string-perl
@@ -20,7 +20,7 @@
 Section: libdevel
 Priority: optional
 Architecture: any
-Depends: ${misc:Depends}
+Depends: zlib1g-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
 Description: Debian package management static library
  This package provides the header files and static library necessary to
  develop software using libdpkg, the same library used internally by dpkg.
@@ -35,12 +35,9 @@
 Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
- apt (<< 0.7.7), aptitude (<< 0.4.7-1),
-# install-info transition
-# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
- tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1)
+ apt (<< 0.7.7), aptitude (<< 0.4.7-1)
 Suggests: apt
-Replaces: manpages-it (<< 2.80-4)
+Replaces: manpages-it
 Description: Debian package management system
  This package provides the low-level infrastructure for handling the
  installation and removal of Debian software packages.
@@ -57,7 +54,6 @@
 Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
 Suggests: debian-keyring
 Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
-Replaces: manpages-it (<< 2.80-4)
 Description: Debian package development tools
  This package provides the development tools (including dpkg-source)
  required to unpack, build and upload Debian source packages.
@@ -77,22 +73,25 @@
 Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
 Description: Dpkg perl modules
  This package provides the perl modules used by the scripts
- in dpkg-dev. They cover a wide range of functionalities. Among them
- there are the following modules:
+ in dpkg-dev. They cover a wide range of functionality. Among them
+ there are the following public modules:
  .
-  - Dpkg::Arch: manipulate Debian architecture information
+  - Dpkg::BuildFlags: set, modify and query compilation build flags
   - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
   - Dpkg::Changelog: parse Debian changelogs
   - Dpkg::Checksums: generate and parse checksums
   - Dpkg::Compression::Process: wrapper around compression tools
   - Dpkg::Compression::FileHandle: transparently (de)compress files
+  - Dpkg::Conf: parse dpkg configuration files
   - Dpkg::Control: parse and manipulate Debian control information
     (.dsc, .changes, Packages/Sources entries, etc.)
   - Dpkg::Deps: parse and manipulate dependencies
-  - Dpkg::ErrorHandling: common error functions
+  - Dpkg::Gettext: wrapper around Locale::gettext
+  - Dpkg::IPC: spawn sub-processes and feed/retrieve data
   - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
     example)
-  - Dpkg::IPC: spawn sub-processes and feed/retrieve data
+  - Dpkg::Path: common path handling functions
+  - Dpkg::Source::Package: extract Debian source packages
   - Dpkg::Substvars: substitute variables in strings
   - Dpkg::Vendor: identify current distribution vendor
   - Dpkg::Version: parse and manipulate Debian package versions
@@ -107,7 +106,7 @@
 Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
 Suggests: perl
 Conflicts: dpkg-ftp, dpkg-multicd
-Replaces: dpkg-ftp, dpkg-multicd, manpages-it (<< 2.80-4)
+Replaces: dpkg-ftp, dpkg-multicd
 Description: Debian package management front-end
  dselect is a high-level interface for managing the installation and
  removal of Debian software packages.
