=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 		--mandir=\$${datadir}/man \
 		--infodir=\$${datadir}/info \
 		--sysconfdir=/etc \
+		--sbindir=/sbin \
 		--localstatedir=/var \
 		--with-zlib \
 		--with-liblzma \
@@ -98,10 +99,6 @@
 	dh_install --sourcedir=debian/tmp -a
 	dh_installcron -a
 	dh_installlogrotate -a
-
-	install -d debian/dpkg/sbin
-	mv debian/dpkg/usr/sbin/start-stop-daemon debian/dpkg/sbin
-
 	dh_installchangelogs -a ChangeLog*
 	dh_installdocs -a
 	$(call dpkg-installmanl10n,dpkg)
@@ -116,7 +113,10 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	# Make debootstrap life easier on non-Debian based systems by
+	# compressing dpkg.deb with gzip instead of xz.
+	dh_builddeb -pdpkg -- -Zgzip
+	dh_builddeb -a -Ndpkg
 
 # Put together the dpkg-dev package
 binary-indep: install
