=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
-Homepage: http://wiki.debian.org/Teams/Dpkg
+Homepage: https://wiki.debian.org/Teams/Dpkg
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dpkg/dpkg.git
 Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), pkg-config, flex,
  gettext (>= 0.18), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
@@ -37,7 +38,7 @@
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
  apt (<< 0.7.7), aptitude (<< 0.4.7-1)
 Suggests: apt
-Replaces: manpages-it
+Replaces: manpages-it (<< 2.80-4)
 Description: Debian package management system
  This package provides the low-level infrastructure for handling the
  installation and removal of Debian software packages.
@@ -51,9 +52,11 @@
 Multi-Arch: foreign
 Depends: libdpkg-perl (= ${source:Version}), bzip2, xz-utils,
  patch, make, binutils, base-files (>= 5.0.0), ${misc:Depends}
-Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
+Recommends: gcc | c-compiler, build-essential, fakeroot,
+ gnupg | gnupg2, gpgv | gpgv2, libalgorithm-merge-perl
 Suggests: debian-keyring
 Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.10.26)
+Replaces: manpages-it (<< 2.80-4)
 Description: Debian package development tools
  This package provides the development tools (including dpkg-source)
  required to unpack, build and upload Debian source packages.
@@ -68,7 +71,8 @@
 Multi-Arch: foreign
 Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
 Recommends: libfile-fcntllock-perl, bzip2, xz-utils
-Suggests: debian-keyring, gnupg, gpgv, gcc | c-compiler, binutils, patch
+Suggests: debian-keyring, gnupg | gnupg2, gpgv | gpgv2,
+ gcc | c-compiler, binutils, patch
 Breaks: dpkg-dev (<< 1.15.6)
 Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
 Description: Dpkg perl modules
@@ -106,7 +110,7 @@
 Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
 Suggests: perl
 Conflicts: dpkg-ftp, dpkg-multicd
-Replaces: dpkg-ftp, dpkg-multicd
+Replaces: dpkg-ftp, dpkg-multicd, manpages-it (<< 2.80-4)
 Description: Debian package management front-end
  dselect is a high-level interface for managing the installation and
  removal of Debian software packages.
