## dpkg 1.17.5ubuntu5.8

=== debian/changelog ===
dpkg (1.17.5ubuntu5.8) trusty; urgency=medium

  * Add support for .deb archives with a control member not compressed
    (control.tar) or compressed with xz (control.tar.xz) LP: #1730627.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Dec 2017 12:15:45 -0700

dpkg (1.17.5ubuntu5.7) trusty; urgency=medium

  * Backport from Debian (LP: #1587667):
    - Allow detached upstream signatures for upstream orig.tar files in the
      .dsc file. Suggested by Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
      Closes: #759478
    - Allow detached upstream orig tarball signatures when extracting
      version 1.0 non-native source packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Jun 2016 19:31:28 +0100
