## dpkg 1.17.5ubuntu5.8+esm1

=== debian/changelog ===
dpkg (1.17.5ubuntu5.8+esm1) trusty-security; urgency=medium

  [ Jamie Strandboge ]
  * Fix physical file offset comparison in dpkg. Closes: #808912
    Thanks to Yuri Gribov <tetra2005@gmail.com>.
    - adbdfb0dd9cec401609fd3eef232b7ff2153db7f

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Feb 2020 14:20:22 -0300
